#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_GiantSharkLevelData
{
	//ID
	int mID;
	//炮倍区间
	std::vector<int> mLevel;
	//玩家炮倍金币奖励基础倍率
	int mBasicRewards;
	//牌型概率
	int mBrandProbability;
	//牌型数量
	int mNumberCards;
	//炮倍对牌型积分加成
	int mIntegralAddition;
};

class Fish_GiantSharkLevel
{
public:
private:
	static std::auto_ptr<Fish_GiantSharkLevel> msSingleton;
public:
	int GetCount();
	const Fish_GiantSharkLevelData* GetData(int ID);
	boost::unordered_map<int, Fish_GiantSharkLevelData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_GiantSharkLevel* GetSingleton();
private:
	boost::unordered_map<int, Fish_GiantSharkLevelData> mMapData;
};
